import { AbstractDynamicSnippetsGenerator, FernGeneratorExec } from '@fern-api/browser-compatible-base-generator';
import { FernIr } from '@fern-api/dynamic-ir-sdk';
import { D as DynamicSnippetsGeneratorContext } from './DynamicSnippetsGeneratorContext-DFkk3dho.js';
import '@fern-api/typescript-ast';

declare class DynamicSnippetsGenerator extends AbstractDynamicSnippetsGenerator<DynamicSnippetsGeneratorContext, FernIr.dynamic.EndpointSnippetRequest, FernIr.dynamic.EndpointSnippetResponse> {
    constructor({ ir, config }: {
        ir: FernIr.dynamic.DynamicIntermediateRepresentation;
        config: FernGeneratorExec.GeneratorConfig;
    });
    generate(request: FernIr.dynamic.EndpointSnippetRequest): Promise<FernIr.dynamic.EndpointSnippetResponse>;
    generateSync(request: FernIr.dynamic.EndpointSnippetRequest): FernIr.dynamic.EndpointSnippetResponse;
}

export { DynamicSnippetsGenerator };
